eclat {arules} | R Documentation

## Mining Associations with Eclat

### Description

Mine frequent itemsets with the Eclat algorithm. This algorithm uses simple intersection operations for equivalence class clustering along with bottom-up lattice traversal.

### Usage

    eclat(data, parameter = NULL, control = NULL)

### Arguments

`data` | object of class `transactions` or any data structure which can be coerced into `transactions` (e.g., binary `matrix`, `data.frame`).
`parameter` | object of class `ECparameter` or named list (default values are: support 0.1 and maxlen 5)
`control` | object of class `ECcontrol` or named list for algorithmic controls.

### Details

Calls the C implementation of the Eclat algorithm by Christian Borgelt for mining frequent itemsets.

Eclat can also return the transaction IDs for each found itemset using `tidLists=TRUE` as a parameter and the result can be retrieved as a `tidLists` object with method `tidLists()` for class `itemsets`. Note that storing transaction ID lists is very memory intensive, creating transaction ID lists only works for minimum support values which create a relatively small number of itemsets. See also `supportingTransactions`.

`ruleInduction` can be used to generate rules from the found itemsets.

A weighted version of ECLAT is available as function `weclat`. This version can be used to perform weighted association rule mining (WARM).

### Value

Returns an object of class `itemsets`.

### Author(s)

Michael Hahsler and Bettina Gruen

### References

Mohammed J. Zaki, Srinivasan Parthasarathy, Mitsunori Ogihara, and Wei Li. (1997) New algorithms for fast discovery of association rules. Technical Report 651, Computer Science Department, University of Rochester, Rochester, NY 14627.

Christian Borgelt (2003) Efficient Implementations of Apriori and Eclat. Workshop of Frequent Item Set Mining Implementations (FIMI 2003, Melbourne, FL, USA).

ECLAT Implementation: http://www.borgelt.net/eclat.html

### See Also

`ECparameter-class`, `ECcontrol-class`, `transactions-class`, `itemsets-class`, `weclat`, `apriori`, `ruleInduction`, `supportingTransactions`

### Examples

    data("Adult")
    ## Mine itemsets with minimum support of 0.1 and 5 or less items
    itemsets <- eclat(Adult,
    		parameter = list(supp = 0.1, maxlen = 5))
    itemsets

    ## Create rules from the itemsets
    rules <- ruleInduction(itemsets, Adult, confidence = .9)
    rules

[Package arules version 1.6-3 Index]